import request from '@/utils/request'

// 查询发布内容列表
export function listContentIfon(query) {
  return request({
    url: '/cp/contentInfo/list',
    method: 'get',
    params: query
  })
}

// 查询发布内容详细
export function getContentIfon(id) {
  return request({
    url: '/cp/contentInfo/' + id,
    method: 'get'
  })
}

// 新增发布内容
export function addContentIfon(data) {
  return request({
    url: '/cp/contentInfo',
    method: 'post',
    data: data
  })
}

// 修改发布内容
export function updateContentIfon(data) {
  return request({
    url: '/cp/contentInfo',
    method: 'put',
    data: data
  })
}

// 删除发布内容
export function delContentIfon(id) {
  return request({
    url: '/cp/contentInfo/' + id,
    method: 'delete'
  })
}
